import logging
from mmc.core.version import scmRevision
from mmc.plugins.ftp.ftp import Ftp, FtpConfig

VERSION = "0.6.2"
APIVERSION = "1:0:0"
REVISION = scmRevision("$Rev$")

def getVersion(): return VERSION
def getApiVersion(): return APIVERSION
def getRevision(): return REVISION

def activate():
    config = FtpConfig("ftp")
    logger = logging.getLogger()

    if config.disabled:
        logger.warning("Plugin ftp: disabled by configuration.")
        return False
    return True

# XML-RPC declarations

def setConf(param, key):
    Ftp().setConf(param, key)
def setAnonPath(path, maxuser):
    return Ftp().setAnonPath(path, maxuser)
def getAnonPath():
    return Ftp().getAnonPath()
def getAnonUsers():
    return Ftp().getAnonUsers()
def isFtpConfEnabled(pattern, place = "base"):
    return Ftp().isEnabled(pattern, place)
def getFtpConf(param):
    return Ftp().getConf(param)
def ftpGetUsers():
    return Ftp().ftpGetUsers()
def ftpDisableUser(user):
    return Ftp().ftpDisableUser(user)
def ftpEnableUser(user):
    return Ftp().ftpEnableUser(user)
